org.jboss.logging.processor.generator.model

## Class ClassModelHelper

- java.lang.Object
- - org.jboss.logging.processor.generator.model.ClassModelHelper

    public final class ClassModelHelper
    extends Object

Utilities for the code model.

Author:
  James R. Perkins

### Method Summary

Methods
`static String` `formatMessageId(String projectCode, int padLength, int messageId)` Formats message id.
`static String` `implementationClassName(MessageInterface messageInterface)` Creates the implementation class name for the message interface.
`static String` `implementationClassName(MessageInterface messageInterface, String translationSuffix)` Creates the implementation class name for the message interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### formatMessageId

    public static String formatMessageId(String projectCode,
                         int padLength,
                         int messageId)

Formats message id.

Parameters:
  `projectCode` - the project code for the message
  `messageId` - the message id to format
Returns:
  the formatted message id

#### implementationClassName

    public static String implementationClassName(MessageInterface messageInterface)
                                          throws IllegalArgumentException

Creates the implementation class name for the message interface.

Parameters:
  `messageInterface` - the message interface to generate the implementation name for.
Returns:
  the implementation class name
Throws:
  `IllegalArgumentException` - if the message interface is not a message bundle or a message logger.

#### implementationClassName

    public static String implementationClassName(MessageInterface messageInterface,
                                 String translationSuffix)
                                          throws IllegalArgumentException

Creates the implementation class name for the message interface.

Parameters:
  `messageInterface` - the message interface to generate the implementation name for.
  `translationSuffix` - the local suffix for the translation.
Returns:
  the implementation class name
Throws:
  `IllegalArgumentException` - if the message interface is not a message bundle or a message logger.